petsc-3.4.2 2013-07-02

# PetscObjectComposedDataRegister

Get an available id for composed data

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectComposedDataRegister(PetscInt *id)

Not Collective

### Output parameter

id -an identifier under which data can be stored

seealso: PetscObjectComposedDataSetInt()

Level:developer
Location:src/sys/objects/state.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages